class CollectionsController < ApplicationController
  before_action :set_collection, only: [:show, :edit, :update, :destroy, :like]

  # GET /collections
  # GET /collections.json
  def index
    @collections = collection_repository.all
  end

  # GET /collections/1
  # GET /collections/1.json
  def show
  end

  # GET /collections/new
  def new
    @collection = Collection.new
  end

  # GET /collections/1/edit
  def edit
  end

  # POST /collections
  # POST /collections.json
  def create
    @collection = Collection.new(collection_params)

    respond_to do |format|
      if collection_repository.save @collection
        format.html { redirect_to @collection, notice: 'Collection was successfully created.' }
      else
        format.html { render :new }
      end
    end
  end

  # PATCH/PUT /collections/1
  # PATCH/PUT /collections/1.json
  def update
    respond_to do |format|
      if collection_repository.update(collection_params)
        format.html { redirect_to @collection, notice: 'Collection was successfully updated.' }
      else
        format.html { render :edit }
      end
    end
  end

  # DELETE /collections/1
  # DELETE /collections/1.json
  def destroy
    collection_repository.destroy @collection

    respond_to do |format|
      format.html { redirect_to collections_url, notice: 'Learning object was successfully destroyed.' }
    end
  end



  private

  def set_collection
    @collection = collection_repository.find("##{params[:id]}")
  end

  def collection_repository
    repository.for(:collection)
  end

  # Never trust parameters from the scary internet, only allow the white list through.
  def collection_params
    params[:collection_object]
  end

end
